Light Clients
Node API v1.0.0 (Arrekta Node API).
| Method | Path | Summary |
|---|---|---|
| GET | /v1/blocks/{block_id}/filter | Get Block Filter |
| GET | /v1/filters/headers | Filter Headers |
GET /v1/blocks/{block_id}/filter
Get Block Filter.
curl -s http://127.0.0.1:28332/v1/blocks/<block_id>/filterParameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
block_id | path | string | yes |
Response 200 (application/json): BlockFilter
| Field | Type | Required | Notes |
|---|---|---|---|
coinbase | string | yes | |
coinbase_branch | MerkleStep[] | yes | |
filter | string | yes | |
filter_header | string | yes | |
hash | string | yes | |
height | integer | yes | |
merkle_root | string | yes | |
prev_hash | string | yes |
Unknown fields may be added within v1; clients must ignore them.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: get_block_filter_v1_blocks__block_id__filter_get
GET /v1/filters/headers
Filter Headers.
curl -s http://127.0.0.1:28332/v1/filters/headersParameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
start | query | integer | no | default 0 |
count | query | integer | no | default 1000 |
Response 200 (application/json): FilterHeaders
| Field | Type | Required | Notes |
|---|---|---|---|
headers | FilterHeader[] | yes | |
start | integer | yes |
Unknown fields may be added within v1; clients must ignore them.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: filter_headers_v1_filters_headers_get
Schemas
BlockFilter
| Field | Type | Required | Notes |
|---|---|---|---|
coinbase | string | yes | |
coinbase_branch | MerkleStep[] | yes | |
filter | string | yes | |
filter_header | string | yes | |
hash | string | yes | |
height | integer | yes | |
merkle_root | string | yes | |
prev_hash | string | yes |
Unknown fields may be added within v1; clients must ignore them.
FilterHeader
| Field | Type | Required | Notes |
|---|---|---|---|
filter_header | string | null | yes | may be null |
hash | string | yes | |
height | integer | yes |
Unknown fields may be added within v1; clients must ignore them.
FilterHeaders
| Field | Type | Required | Notes |
|---|---|---|---|
headers | FilterHeader[] | yes | |
start | integer | yes |
Unknown fields may be added within v1; clients must ignore them.
MerkleStep
| Field | Type | Required | Notes |
|---|---|---|---|
hash | string | yes | |
side | string | yes | one of L, R |
Unknown fields may be added within v1; clients must ignore them.